%define upstream_name    Module-Install-RTx
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    RT extension installer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     Module-Install-RTx-destdir.patch
Patch2:     Module-Install-RTx-installdirs.patch

Requires:   rt
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Module::Install::Admin) >= 0.400.0
BuildArch:  noarch

%description
This *Module::Install* extension implements one function, 'RTx', that takes
the extension name as the only argument.

It arranges for certain subdirectories to install into the installed RT
location, but does not affect the usual 'lib' and 't' directories.

The directory mapping table is as below:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
pushd lib
%patch1 -p0 -b .destdir
%patch2 -p0 -b .installdirs
popd

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 369877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 315804
- update to 0.30

* Mon Apr 23 2012 buchan <buchan> 0.290.0-1.mga2
+ Revision: 233085
- imported package perl-Module-Install-RTx

